/*==========================================
* SKILLS
==========================================*/
.icons-container {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
}

.icon-wrapper {
    height: 5rem;
    display: flex;
    align-items: center;
    justify-content: center;
}

.icon-wrapper span {
    margin-left: 1rem;
    color: var(--clr-text-tertiary);
}

.skillIcon {
    font-size: 3rem;
    color: #173b6c;
    fill: #173b6c;
    width: 3rem;
    height: 3rem;
}

/*==========================================
* PORTFOLIO
==========================================*/
.portfolio-Img {
    width: 300px;
    height: 200px;
}

.portfolio-article{
    background-color: white;
    box-shadow: 0 0 24px 0 rgb(0 0 0 / 12%);
    padding: 2rem;
    display: flex;
    align-items: center;
    gap: 2rem;
}

.portfolio-article:not(:first-of-type){
    margin-top: 3rem;
}

.portfolio-title{
    font-size: 26px;
    font-weight: 700;
    margin-top: 20px;
    margin-bottom: 20px;
    color: #050d18;
}

.portfolio-sub-title{
    line-height: 18px;
    font-size: 18px;
    font-weight: 600;
    font-family: "Poppins", sans-serif;
    color: #050d18;
    margin-bottom: 10px;
}

.portfolio-btn-group {
    display: flex;
    gap: 1.5rem;
}

.portfolio-btn {
    background: #149ddd;
    border: 0;
    padding: 10px 24px;
    color: #fff;
    transition: 0.4s;
    border-radius: 4px;
}

.portfolio-btn:hover {
    background: #37b3ed;
}


/*==========================================
* PORTFOLIO
==========================================*/

#preloader {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 9999;
    overflow: hidden;
    background: black;
}

#preloaderCircle {
    position: fixed;
    top: calc(50% - 120px);
    left: calc(50% - 120px);
    width: 240px;
    height: 240px;
    /*border-right: 6px solid #3766ff;*/
    border-radius: 50%;
   
    box-shadow: 16px 0 1px -16px  #3766ff,
                16px 0 1px -16px  #3766ff,
                16px 0 2px -16px  #3766ff,
                16px 0 32px -32px #134afe,
                16px 0 12px -12px #134afe,
                16px 0 44px -44px #134afe,
                inset -16px 0 20px -20px #3766ff,
                16px 0 16px -16px #134afe;
    
    
    -webkit-animation: spinner infinite 1s linear;
    animation: spinner infinite 1s linear;
}

@-webkit-keyframes spinner {
    0% {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

@keyframes spinner{
    0% {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}